OAuth2 Authorization Endpoint (POST)
POST /oauth2/authorize
POST
/oauth2/authorize
Initiates an OAuth2 authorization code flow via POST. Validates the request and redirects to the login UI for user authentication and consent.
Request Body required
Section titled “Request Body required ”OAuth2 authorization request parameters (RFC 6749 Section 4.1.1).
object
client_id
required
string
redirect_uri
required
string
response_type
required
string
scope
string
state
string
nonce
string
code_challenge
string
code_challenge_method
Only S256 is supported. The plain method is not allowed.
string
resource
string
prompt
string
Responses
Section titled “ Responses ”Redirect to login UI or back to client with error
Headers
Section titled “Headers ” Location
string format: uri
default
Section titled “default ”OAuth2 error response
object
error
required
OAuth2 error code
string
error_description
Human-readable error description
string